package uk.ac.man.cs.lethe.internal.application.statistics


import java.io.File

import scala.collection.SortedSet


class ExperimentDetails(_name: String) { 
  val name = _name
  var notes: String = ""
  var duration: Double = 0
  var experimentsRun: Int = 0
  var ontologiesProcessed: SortedSet[String] = SortedSet()
  var timeOuts: Int = 0
  var definersLeft: Int = 0
  var durations: Seq[Double] = Seq()
  var sizes: Seq[(Int, Int)] = Seq()
  var moduleSizeOutputSize: Seq[(Int, Int)] = Seq()
  var symbolsToForgetDuration: Seq[(Int, Int)] = Seq()
  var numberRestrictions: Seq[Int] = Seq()

  var runs: Seq[SingleRun] = List()
}
